Bug 132400 - ggv crashes when hit spacebar
ggv crashes when hit spacebar
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ggv (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
ftp://ftp.idiap.ch/pub/reports/2002/r...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-12 11:44 EDT by Scott Otterson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of ggv crash upon pressing space-bar (833.74 KB, text/plain)
2004-10-08 06:24 EDT, Will McCammon
no flags Details

  None (edit)
Description Scott Otterson 2004-09-12 11:44:20 EDT
From:  <>
To: submit@bugs.gnome.org
X-Mailer: bug-buddy 2.6.0
Subject: crash when hit spacebar

Distribution: Fedora Core release 2 (Tettnang)
Package: GGV
Severity: normal
Version: GNOME2.6. unspecified
Gnome-Distributor: Red Hat, Inc
Synopsis: crash when hit spacebar
Bugzilla-Product: GGV
Bugzilla-Component: GGV
Bugzilla-Version: unspecified
BugBuddy-GnomeVersion: 2.0 (2.6.0)
Description:
Viewed the 1st pag of this doc:

ftp://ftp.idiap.ch/pub/reports/2002/rr02-07b.ps.gz

- maximized to fullscreen
- hit the [] magnifier icon so text filled the window
- hit the space bar

Crashes every time.


Debugging Information:

Backtrace was generated from '/usr/bin/ggv'

(no debugging symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...[Thread debugging using
libthread_db enabled]
[New Thread -150335360 (LWP 22032)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...0x00afe402 in ?? ()
#0  0x00afe402 in ?? ()
#1  0x0080ee83 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x00a13442 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x08052464 in ggv_window_get_type ()
#5  0x0805254e in ggv_window_get_type ()
#6  0x0292b854 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#7  0x007c9160 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#8  0x007dd195 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#9  0x007dbf2e in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#10 0x007dc454 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#11 0x02a293b5 in gtk_widget_send_expose () from
/usr/lib/libgtk-x11-2.0.so.0
#12 0x02a373ff in gtk_window_propagate_key_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
#13 0x02a3749c in gtk_window_propagate_key_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
#14 0x00ace7a4 in bonobo_window_get_accel_group ()
   from /usr/lib/libbonoboui-2.so.0
#15 0x0292b854 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#16 0x007c94f7 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#17 0x007c9160 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#18 0x007dcbc5 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#19 0x007dbf2e in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#20 0x007dc454 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#21 0x02a293b5 in gtk_widget_send_expose () from
/usr/lib/libgtk-x11-2.0.so.0
#22 0x02929e9e in gtk_propagate_event () from
/usr/lib/libgtk-x11-2.0.so.0
#23 0x02928b36 in gtk_main_do_event () from
/usr/lib/libgtk-x11-2.0.so.0
#24 0x009737d5 in gdk_x11_register_standard_event_type ()
   from /usr/lib/libgdk-x11-2.0.so.0
#25 0x0074be4a in g_main_depth () from /usr/lib/libglib-2.0.so.0
#26 0x0074cf28 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#27 0x0074d260 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#28 0x0074d8a3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#29 0x00c960a8 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#30 0x08053f25 in main ()

Thread 1 (Thread -150335360 (LWP 22032)):
#0  0x00afe402 in ?? ()
No symbol table info available.
#1  0x0080ee83 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a13442 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x08052464 in ggv_window_get_type ()
No symbol table info available.
#5  0x0805254e in ggv_window_get_type ()
No symbol table info available.
#6  0x0292b854 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#7  0x007c9160 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x007dd195 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#9  0x007dbf2e in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#10 0x007dc454 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#11 0x02a293b5 in gtk_widget_send_expose () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#12 0x02a373ff in gtk_window_propagate_key_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#13 0x02a3749c in gtk_window_propagate_key_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#14 0x00ace7a4 in bonobo_window_get_accel_group ()
   from /usr/lib/libbonoboui-2.so.0
No symbol table info available.
#15 0x0292b854 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#16 0x007c94f7 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#17 0x007c9160 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#18 0x007dcbc5 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#19 0x007dbf2e in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#20 0x007dc454 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#21 0x02a293b5 in gtk_widget_send_expose () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#22 0x02929e9e in gtk_propagate_event () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#23 0x02928b36 in gtk_main_do_event () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#24 0x009737d5 in gdk_x11_register_standard_event_type ()
   from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#25 0x0074be4a in g_main_depth () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#26 0x0074cf28 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#27 0x0074d260 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#28 0x0074d8a3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#29 0x00c960a8 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#30 0x08053f25 in main ()
No symbol table info available.
#0  0x00afe402 in ?? ()
Comment 1 Dan Williams 2004-09-16 22:54:53 EDT
I cannot reproduce with ggv-2.6.0-2.  Can you see if you still get the
problem with 2.6.0-2?
Comment 2 Will McCammon 2004-10-08 06:24:09 EDT
Created attachment 104931 [details]
strace of ggv crash upon pressing space-bar

same problem as in originial post.  in fact, i thought that i filed this bug
recently.  guess not.  ;-)

reproduced by:
1. double-click on pdf file in nautilus or download pdf file from the web
2. upon displaying the pdf file in ggv, press the space-bar
3. crash

additional notes:
- the crash does not occur if i press the forward button in ggv before pressing
the space-bar.	in order to reproduce the crash, i press the space-bar before
any other buttons.
- noticed that ggv probes the local network before opening a file, regardless
of the target file's location.	i think that this behavior is unrelated.

Name	    : ggv			   Relocations: (not relocatable)
Version     : 2.6.0				Vendor: Red Hat, Inc.
Release     : 2 			    Build Date: Sun 11 Apr 2004
05:42:56 AM EDT
Install Date: Fri 21 May 2004 02:19:48 PM EDT	   Build Host:
porky.devel.redhat.com
Group	    : Applications/Publishing	    Source RPM: ggv-2.6.0-2.src.rpm
Size	    : 2486393			       License: GPL
Signature   : DSA/SHA1, Thu 06 May 2004 06:16:57 PM EDT, Key ID
b44269d04f2a6fd2

Linux mary 2.6.8-1.521 #1 Mon Aug 16 09:01:18 EDT 2004 i686 athlon i386
GNU/Linux

00:00.0 Host bridge: VIA Technologies, Inc. P/KN266 Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8633 [Apollo Pro266 AGP]
00:05.0 CardBus bridge: Ricoh Co Ltd RL5c475 (rev b8)
00:05.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C551 IEEE 1394 Controller
00:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237
AC97 Audio Controller (rev 50)
00:11.6 Communication controller: VIA Technologies, Inc. Intel 537 [AC97 Modem]
(rev 80)
01:00.0 VGA compatible controller: S3 Inc. VT8375 [ProSavage8 KM266/KL266]
Comment 3 John Thacker 2006-05-04 09:32:50 EDT
ggv is not in either FC4 or FC5, and earlier releases are the responsibility
of Fedora Legacy.  This, while a crasher, is not a security bug.
Closing.

Note You need to log in before you can comment on or make changes to this bug.